Bug 168657 - CVE-2005-2922 chunked encoding real flaw
CVE-2005-2922 chunked encoding real flaw
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: realplayer (Show other bugs)
4.0
All Linux
medium Severity urgent
: ---
: ---
Assigned To: John (J5) Palmieri
impact=critical,reported=20050916,pub...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-19 03:33 EDT by Mark J. Cox (Product Security)
Modified: 2013-03-13 00:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 10:03:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-09-19 03:33:03 EDT
Real reported this flaw on 20050916:

Remote exploitation of a heap-based buffer overflow could allow the execution of
arbitrary code in the context of the currently logged in user.

The vulnerability specifically exists in the handling of the 'chunked'
Transfer-Encoding method.

Successful exploitation allows a remote attacker to execute arbitrary code with
the privileges of the currently logged in user. In order to exploit this
vulnerability, an attacker would need to entice a user to follow a link to a
malicious server. Once the user visits a website under the control of an
attacker, it is possible in a default install of RealPlayer to force a
web-browser to use RealPlayer to connect to an arbitrary server, even when it is
not the default application for handling those types, by the use of embeded
object tags in a webpage. This may allow automated exploitation when the page is
viewed.

As the client sends its version information as part of the request, it would be
possible for an attacker to create a malicious server which uses the appropriate
offsets and shellcode for each version and platform of the client.

Possible embargo is 20051018
Comment 1 Mark J. Cox (Product Security) 2005-09-27 10:03:56 EDT
These will be fixed in RHSA-2005:762 without mention of this issue for now as
it's still embargoed.
Comment 2 Mark J. Cox (Product Security) 2006-03-24 03:52:06 EST
http://www.idefense.com/intelligence/vulnerabilities/display.php?id=404

Opening bug as this issue was released earlier this week.

Note You need to log in before you can comment on or make changes to this bug.